com.pixelmed.display.event

## Class SourceImageSelectionChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.SourceImageSelectionChangeEvent

-     public class SourceImageSelectionChangeEvent
      extends Event

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceImageSelectionChangeEvent(EventContext eventContext, SourceImage sourceImage, int[] sortOrder, int index, AttributeList attributeList, GeometryOfVolume imageGeometry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeList` | `getAttributeList()`
    `GeometryOfVolume` | `getGeometryOfVolume()`
    `int` | `getIndex()`
    `int` | `getNumberOfBufferedImages()`
    `int[]` | `getSortOrder()`
    `SourceImage` | `getSourceImage()`

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceImageSelectionChangeEvent

          public SourceImageSelectionChangeEvent(EventContext eventContext,
                                                 SourceImage sourceImage,
                                                 int[] sortOrder,
                                                 int index,
                                                 AttributeList attributeList,
                                                 GeometryOfVolume imageGeometry)

      Parameters:
        `eventContext` -
        `sourceImage` -
        `sortOrder` -
        `index` -
        `attributeList` -
        `imageGeometry` -

  - ### Method Detail

    - #### getSourceImage

          public SourceImage getSourceImage()

    - #### getNumberOfBufferedImages

          public int getNumberOfBufferedImages()

    - #### getSortOrder

          public int[] getSortOrder()

    - #### getIndex

          public int getIndex()

    - #### getAttributeList

          public AttributeList getAttributeList()

    - #### getGeometryOfVolume

          public GeometryOfVolume getGeometryOfVolume()